CVE-2013-1982

NameCVE-2013-1982
DescriptionMultiple integer overflows in X.org libXext 1.3.1 and earlier allow X servers to trigger allocation of insufficient memory and a buffer overflow via vectors related to the (1) XcupGetReservedColormapEntries, (2) XcupStoreColors, (3) XdbeGetVisualInfo, (4) XeviGetVisualInfo, (5) XShapeGetRectangles, and (6) XSyncListSystemCounters functions.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2682-1
NVD severitymedium (attack range: remote)
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libxext (PTS)squeeze (security), squeeze2:1.1.2-1+squeeze1fixed
wheezy, wheezy (security)2:1.3.1-2+deb7u1fixed
sid, jessie2:1.3.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libxextsource(unstable)2:1.3.1-2+deb7u1medium
libxextsourcesqueeze2:1.1.2-1+squeeze1mediumDSA-2682-1
libxextsourcewheezy2:1.3.1-2+deb7u1mediumDSA-2682-1

Search for package or bug name: Reporting problems